<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Биллинг - Пополнить баланс');
$title->GetHeader();
if ($b == false) {
header('location: /');
die();
}
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/billing"style="text-decoration:none; color:white;">Биллинг</a> :: Пополнить баланс</div></div></div>';
if (isset($_POST['ok'])) {
$err = array();
$LMI_PAYMENT_AMOUNT = abs(intval($_POST['LMI_PAYMENT_AMOUNT']));

if ($LMI_PAYMENT_AMOUNT == '' || $LMI_PAYMENT_AMOUNT<1 || $LMI_PAYMENT_AMOUNT>1000) {
$err[] = 'Неправильная сумма!';
}

if (empty($err)) {

if (DB::$dbs->query("INSERT INTO `payment` (`user_id`,`LMI_PAYMENT_AMOUNT`,`time`,`yes`) VALUES (?,?,?,?)", array($b['id'],$LMI_PAYMENT_AMOUNT,time(),0))) {
$LMI_PAYMENT_NO = DB::$dbs->lastInsertId();
echo '<div class="list-group-item media">Пополнение баланса на  <b>'.$LMI_PAYMENT_AMOUNT.'</b> рублей<br/><form id=pay name=pay method="POST" action="https://merchant.webmoney.ru/lmi/payment.asp"><p>Платеж через сервис Web Merchant Interface</p>
<p><input type="hidden" name="LMI_PAYMENT_AMOUNT" value="'.$LMI_PAYMENT_AMOUNT.'"><input type="hidden" name="LMI_PAYMENT_DESC_BASE64" value="'.base64_encode('Пополнение балланса на сайте '.homeurl.' (№ '.$LMI_PAYMENT_NO.')').'"><input type="hidden" name="LMI_PAYMENT_NO" value="'.$LMI_PAYMENT_NO.'"><input type="hidden" name="LMI_PAYEE_PURSE" value="R794798403219"></p>
<p><input type="submit" class="btn btn-primary" style="text-decoration:none; color:black;" value="Перевести '.$LMI_PAYMENT_AMOUNT.' WMR"></p></form></div>';
$title->GetMenu();
$title->GetFooter();
die();
} else err('Запись в бд не добавлена');

} else {
echo '<div class="alert alert-danger" role="alert">';
foreach($err as $error) {
echo $error.'<br/>';
}
echo '</div>';
}
}
echo '<div class="list-group-item media">Баланс пополняется переводом средств на реквизиты WebMoney через сервис Web Merchant Interface<br /> Укажите сумму, на которую вы хотите пополнить баланс и следуйте указаниям системы<br/>
<form action="?" method="post">Сумма (1-1000):<br/><input name="LMI_PAYMENT_AMOUNT" maxlength="7" class="form-control" title="Сумма"/><br /><input type="submit" name="ok" class="btn btn-primary" value="Продолжить"/></form></div>';
$title->GetMenu();
$title->GetFooter();
?>